--- asterisk-1.6.1.2/apps/app_queue.c
+++ asterisk-1.6.1.2/apps/app_queue.c
@@ -2522,10 +2522,15 @@ static void record_abandoned(struct queu
 	manager_event(EVENT_FLAG_AGENT, "QueueCallerAbandon",
 		"Queue: %s\r\n"
 		"Uniqueid: %s\r\n"
+		"CallerIDNum: %s\r\n"
+		"CallerIDName: %s\r\n"
 		"Position: %d\r\n"
 		"OriginalPosition: %d\r\n"
 		"HoldTime: %d\r\n",
-		qe->parent->name, qe->chan->uniqueid, qe->pos, qe->opos, (int)(time(NULL) - qe->start));
+		qe->parent->name, qe->chan->uniqueid,
+		S_OR(qe->chan->cid.cid_num, "unknown"),
+		S_OR(qe->chan->cid.cid_name, "unknown"),
+		qe->pos, qe->opos, (int)(time(NULL) - qe->start));
 
 	qe->parent->callsabandoned++;
 	ao2_unlock(qe->parent);
